Encryption Protectors - List By Server
Gets a list of server encryption protectors
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/encryptionProtector?api-version=2021-02-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
|
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
|
The name of the server. |
|
subscription
|
path | True |
|
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
|
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the list of server encryption protector. |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
List encryption protectors by server
Sample Request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector?api-version=2021-02-01-preview
Sample Response
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/encryptionProtector/current",
"name": "current",
"type": "Microsoft.Sql/servers/encryptionProtector",
"location": "Japan East",
"kind": "azurekeyvault",
"properties": {
"serverKeyName": "someVault_someKey_01234567890123456789012345678901",
"serverKeyType": "AzureKeyVault",
"uri": "https://someVault.vault.azure.net/keys/someKey/01234567890123456789012345678901"
}
}
]
}
Definitions
|
Encryption |
The server encryption protector. |
|
Encryption |
A list of server encryption protectors. |
|
Server |
The encryption protector type like 'ServiceManaged', 'AzureKeyVault'. |
EncryptionProtector
The server encryption protector.
| Name | Type | Description |
|---|---|---|
| id |
|
Resource ID. |
| kind |
|
Kind of encryption protector. This is metadata used for the Azure portal experience. |
| location |
|
Resource location. |
| name |
|
Resource name. |
| properties.autoRotationEnabled |
|
Key auto rotation opt-in flag. Either true or false. |
| properties.serverKeyName |
|
The name of the server key. |
| properties.serverKeyType |
The encryption protector type like 'ServiceManaged', 'AzureKeyVault'. |
|
| properties.subregion |
|
Subregion of the encryption protector. |
| properties.thumbprint |
|
Thumbprint of the server key. |
| properties.uri |
|
The URI of the server key. |
| type |
|
Resource type. |
EncryptionProtectorListResult
A list of server encryption protectors.
| Name | Type | Description |
|---|---|---|
| nextLink |
|
Link to retrieve next page of results. |
| value |
Array of results. |
ServerKeyType
The encryption protector type like 'ServiceManaged', 'AzureKeyVault'.
| Name | Type | Description |
|---|---|---|
| AzureKeyVault |
|
|
| ServiceManaged |
|